%define upstream_name    DateTime-Format-Natural
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Base class for DateTime::Format::Natural::Lang::
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

# not autodetected 
Requires:   perl(boolean)
BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Cwd)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Util)
BuildRequires: perl(Params::Validate) >= 1.150.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More)
BuildRequires: perl(boolean)
BuildArch:  noarch

%{?perl_default_filter}

%description
'DateTime::Format::Natural' takes a string with a human readable date/time
and creates a machine readable one by applying natural parsing logic.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/DateTime
%{_bindir}/dateparse
%{_mandir}/man1/dateparse.1*

%changelog
* Thu Sep 24 2020 tv <tv> 1.110.0-1.mga8
+ Revision: 1629675
- update to 1.11

* Sun Jun 28 2020 tv <tv> 1.100.0-1.mga8
+ Revision: 1599727
- update to 1.10

* Mon May 18 2020 tv <tv> 1.90.0-1.mga8
+ Revision: 1585907
- update to 1.09

* Tue Feb 18 2020 umeabot <umeabot> 1.80.0-2.mga8
+ Revision: 1539504
- Mageia 8 Mass Rebuild

* Sun Dec 08 2019 tv <tv> 1.80.0-1.mga8
+ Revision: 1465249
- update to 1.08

* Sat Mar 30 2019 tv <tv> 1.70.0-1.mga7
+ Revision: 1381713
- update to 1.07

* Tue Oct 30 2018 tv <tv> 1.60.0-1.mga7
+ Revision: 1326650
- update to 1.06

* Thu Sep 20 2018 umeabot <umeabot> 1.50.0-3.mga7
+ Revision: 1282649
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.50.0-2.mga7
+ Revision: 1163884
- rebuild with fixed rpm for missing autodeps

* Thu Aug 17 2017 sander85 <sander85> 1.50.0-1.mga7
+ Revision: 1141298
- update to 1.05

* Sat Jun 18 2016 pterjan <pterjan> 1.30.0-3.mga6
+ Revision: 1025224
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.30.0-2.mga6
+ Revision: 969065
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 1.30.0-1.mga6
+ Revision: 861292
- update to 1.03

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 747046
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.20.0-4.mga5
+ Revision: 735494
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-3.mga5
+ Revision: 684281
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.20.0-2.mga4
+ Revision: 526877
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.20.0-1.mga4
+ Revision: 439060
- update to 1.02

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 365632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 1.10.0-1.mga3
+ Revision: 291662
- update to 1.01

* Tue Jun 05 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 254847
- update to 1.00

* Sat Nov 05 2011 kharec <kharec> 0.980.0-1.mga2
+ Revision: 163775
- update to 0.98
+ jquelin <jquelin>
- update to 0.97

* Wed Jun 15 2011 jquelin <jquelin> 0.960.0-1.mga2
+ Revision: 106812
- update to 0.96

* Sun Apr 03 2011 jquelin <jquelin> 0.940.0-1.mga1
+ Revision: 80050
- update to 0.94

* Fri Feb 25 2011 jquelin <jquelin> 0.930.0-1.mga1
+ Revision: 59707
- update to 0.93
+ dmorgan <dmorgan>
- Fix buildrequire

* Mon Jan 31 2011 dmorgan <dmorgan> 0.920.0-1.mga1
+ Revision: 44856
- Fix buildrequires
- New version

* Mon Jan 24 2011 jquelin <jquelin> 0.910.0-1.mga1
+ Revision: 36196
- mageia rebuild
- imported package perl-DateTime-Format-Natural

